AM261x MCU+ SDK: DCC Functions

| AM261x MCU+ SDK 26.00.00 |

Functions
DCC Functions
APIs for SDL Module » APIs for SDL Dual Clock Comparator(DCC) » SDL Dual Clock Comparator(DCC)

## Introduction

## Functions
int32_t | SDL_DCC_configure (SDL_DCC_Inst instance, const SDL_DCC_config *pConfig)
| This API is used to configure DCC module. More...
int32_t | SDL_DCC_verifyConfig (SDL_DCC_Inst instance, const SDL_DCC_config *pConfig)
| This API is used to verify the configuration for DCC module. More...
int32_t | SDL_DCC_enable (SDL_DCC_Inst instance)
| This API is used to enable the DCC module. More...
int32_t | SDL_DCC_disable (SDL_DCC_Inst instance)
| This API is used to disable the DCC module. More...
int32_t | SDL_DCC_getStatus (SDL_DCC_Inst instance, SDL_DCC_Status *pStatus)
| This API is used to get the stauts of DCC module. More...
int32_t | SDL_DCC_enableIntr (SDL_DCC_Inst instance, SDL_DCC_intrType intr)
| This API is used to Enable the interrupts. More...
int32_t | SDL_DCC_clearIntr (SDL_DCC_Inst instance, SDL_DCC_intrType intr)
| This API is used to clear the interrupts. More...
int32_t | SDL_DCC_getStaticRegs (SDL_DCC_Inst instance, SDL_DCC_staticRegs *pStaticRegs)
| This API is used to get the value of static registers for DCC module. More...

## Function Documentation

## ◆ SDL_DCC_configure()

int32_t SDL_DCC_configure | ( | SDL_DCC_Inst | instance,
|  | const SDL_DCC_config * | pConfig
| ) |  |

This API is used to configure DCC module.

Parameters

  instance | Holds the instance for DCC module.
  pConfig | pointer to the DCC config structure

NOTE: If the value of 'seedValid0' is less then 4 then it will programmed as 4. Since minimum programmable value of the 'seedValid0' is 4.

## ◆ SDL_DCC_verifyConfig()

int32_t SDL_DCC_verifyConfig | ( | SDL_DCC_Inst | instance,
|  | const SDL_DCC_config * | pConfig
| ) |  |

This API is used to verify the configuration for DCC module.

Parameters

  instance | Holds the instance for DCC module.
  pConfig | pointer to the DCC config structure

## ◆ SDL_DCC_enable()

int32_t SDL_DCC_enable | ( | SDL_DCC_Inst | instance | ) |

This API is used to enable the DCC module.

Parameters

  instance | Holds the instance for DCC module.

## ◆ SDL_DCC_disable()

int32_t SDL_DCC_disable | ( | SDL_DCC_Inst | instance | ) |

This API is used to disable the DCC module.

Parameters

  instance | Holds the instance for DCC module.

## ◆ SDL_DCC_getStatus()

int32_t SDL_DCC_getStatus | ( | SDL_DCC_Inst | instance,
|  | SDL_DCC_Status * | pStatus
| ) |  |

This API is used to get the stauts of DCC module.

Parameters

  instance | Holds the instance for DCC module.
  pStatus | pointer to the SDL_DCC_status structure

## ◆ SDL_DCC_enableIntr()

int32_t SDL_DCC_enableIntr | ( | SDL_DCC_Inst | instance,
|  | SDL_DCC_intrType | intr
| ) |  |

This API is used to Enable the interrupts.

Parameters

  instance | Holds the instance for DCC module.
  intr | Interrupts to be enabled.

## ◆ SDL_DCC_clearIntr()

int32_t SDL_DCC_clearIntr | ( | SDL_DCC_Inst | instance,
|  | SDL_DCC_intrType | intr
| ) |  |

This API is used to clear the interrupts.

Parameters

  instance | Holds the instance for DCC module.
  intr | Interrupts to disable.

## ◆ SDL_DCC_getStaticRegs()

int32_t SDL_DCC_getStaticRegs | ( | SDL_DCC_Inst | instance,
|  | SDL_DCC_staticRegs * | pStaticRegs
| ) |  |

This API is used to get the value of static registers for DCC module.

Parameters

  instance | Holds the instance for DCC module.
  pStaticRegs | Pointer to the SDL_DCC_staticRegs structure.